Bug 903164 - rhc app tidy/status/restart/show/force-stop/stop/start/reload cannot work well when executing them in a app dir
rhc app tidy/status/restart/show/force-stop/stop/start/reload cannot work wel...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 06:00 EST by chunchen
Modified: 2016-09-29 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:46:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-01-23 06:00:04 EST
Description of problem:
rhc app tidy/status/restart/show/force-stop/stop/start/reload cannot work well when executing them in a app dir


Version-Release number of selected component (if applicable):
devenv_2709
rhc-1.3.5
rhc-1.3.6


How reproducible:
always


Steps to Reproduce:
1.Create a app
  rhc app create perl00 perl-5.10
2.Come into the app dir
  cd perl00
3.tidy/status/restart/show/force-stop/stop/start/reload the app 
  rhc app tidy/status/restart/show/force-stop/stop/start/reload perl00
 
 
Actual results:
Too many arguments passed in: perl00
Usage: rhc app show <app> [--namespace namespace]
Pass '--help' to see the full list of options


Expected results:
This commands should work well.


Additional info:
1: If add the '-a' option,they can work well, commands like:
  rhc app tidy/status/restart/show/force-stop/stop/start/reload -a perl00
2: if out of any app dir, this comands will work well.
3: this commands can work well on version rhc-1.3.4
Comment 1 Hiro Asari 2013-01-23 14:01:41 EST
Compare:

$ bx ../bin/rhc -d app status perl00
Warning: This command is deprecated. Please use 'rhc app show --state' instead. For porting and testing purposes you may switch this a warning to an error by setting the DISABLE_DEPRECATED environment
variable to 1.  It is not recommended to do so in a production environment as this option will be removed in a future release.

DEBUG: Connecting to https://107.21.82.126/broker/rest/api
DEBUG: Getting all domains
DEBUG: SSL Verification failed -- Using self signed cert
Password: 
DEBUG: SSL Verification failed -- Using self signed cert
DEBUG: Getting app context
DEBUG: Running git config --get rhc.app-name
DEBUG: UUID = 'perl00'
Too many arguments passed in: perl00
Usage: rhc app status <app> [--namespace namespace] [--app app]
Pass '--help' to see the full list of options

and

$ bx bin/rhc -d app status perl00
Warning: This command is deprecated. Please use 'rhc app show --state' instead. For porting and testing purposes you may switch this a warning to an error by setting the DISABLE_DEPRECATED environment
variable to 1.  It is not recommended to do so in a production environment as this option will be removed in a future release.

DEBUG: Connecting to https://107.21.82.126/broker/rest/api
DEBUG: Getting all domains
DEBUG: SSL Verification failed -- Using self signed cert
Password: 
DEBUG: SSL Verification failed -- Using self signed cert
DEBUG: Getting app context
DEBUG: Running git config --get rhc.app-name
DEBUG: UUID = ''
DEBUG: Running git config --get rhc.app-uuid
DEBUG: UUID = ''
DEBUG: Getting all domains
DEBUG: Finding domain foofoofoofoo
DEBUG: Getting all domains
DEBUG: Finding application :name => perl00, :framework => 
DEBUG: Getting all applications for domain foofoofoofoo

RESULT:
DEBUG: Getting all gear groups for application perl00
Gear group perl-5.10 is started
Comment 2 Clayton Coleman 2013-01-23 14:32:02 EST
Fixed in https://github.com/openshift/rhc/pull/283
Comment 3 openshift-github-bot 2013-01-23 16:45:09 EST
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/2dae3c7047052cdd6c23607551df37230e7d0850
Bug 903164 - Arguments with an app_context not being pulled off the stack
Comment 4 chunchen 2013-01-23 21:19:38 EST
Verified with rhc-1.3.8, this commands can all work well.

Note You need to log in before you can comment on or make changes to this bug.